Bug 243657 - www/qt5-webengine: fix build on aarch64
Summary: www/qt5-webengine: fix build on aarch64
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: kde
URL: http://thunderx1.nyi.freebsd.org/data...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-01-27 20:15 UTC by Mikael Urankar
Modified: 2020-03-07 07:09 UTC (History)
2 users (show)

See Also:


Attachments
patch (8.81 KB, patch)
2020-01-27 20:15 UTC, Mikael Urankar
no flags Details | Diff
patch (8.74 KB, patch)
2020-02-17 08:43 UTC, Mikael Urankar
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mikael Urankar freebsd_committer 2020-01-27 20:15:25 UTC
Created attachment 211113 [details]
patch

error:
../../../../qtwebengine-everywhere-src-5.13.2/src/3rdparty/chromium/third_party/zlib/arm_features.c:27:9: warning: implicit declaration of function 'ID_AA64ISAR0_AES' is invalid in C99 [-Wimplicit-function-declaration]
    if (ID_AA64ISAR0_AES(id_aa64isar0) == ID_AA64ISAR0_AES_PMULL)
        ^
../../../../qtwebengine-everywhere-src-5.13.2/src/3rdparty/chromium/third_party/zlib/arm_features.c:29:9: warning: implicit declaration of function 'ID_AA64ISAR0_CRC32' is invalid in C99 [-Wimplicit-function-declaration]
    if (ID_AA64ISAR0_CRC32(id_aa64isar0) == ID_AA64ISAR0_CRC32_BASE)
        ^
../../../../qtwebengine-everywhere-src-5.13.2/src/3rdparty/chromium/third_party/zlib/arm_features.c:26:20: error: expected readable system register
    id_aa64isar0 = READ_SPECIALREG(ID_AA64ISAR0_EL1);
                   ^
/usr/include/machine/armreg.h:61:19: note: expanded from macro 'READ_SPECIALREG'
        __asm __volatile("mrs   %0, " __STRING(reg) : "=&r" (_val));    \
                         ^
<inline asm>:1:11: note: instantiated into assembly here
        mrs     x19, (((3) << 19) | ((0) << 16) | ((0) << 12) | ((6) << 8) | ((0) << 5))
                     ^

The interface has changed a bit on -current.
Comment 1 Mikael Urankar freebsd_committer 2020-02-17 08:43:48 UTC
Created attachment 211710 [details]
patch

regen
Comment 2 Emmanuel Vadot freebsd_committer 2020-03-04 19:19:55 UTC
Approved-by: manu (mentor)
When maintainer approved or after maintainer timeout.

Add kde@ as assignee so they can approve.
Comment 3 commit-hook freebsd_committer 2020-03-06 11:53:54 UTC
A commit references this bug:

Author: mikael
Date: Fri Mar  6 11:53:26 UTC 2020
New revision: 527875
URL: https://svnweb.freebsd.org/changeset/ports/527875

Log:
  www/qt5-webengine: fix build on head-aarch64

  The interface has changed on -current

  PR:		243657
  Approved by:	ade (on irc), manu (mentor)

Changes:
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_third__party_boringssl_src_crypto_cpu-aarch64-linux.c
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_third__party_crc32c_src_src_crc32c__arm64__linux__check.h
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_third__party_skia_src_core_SkCpu.cpp
  head/www/qt5-webengine/files/patch-src_3rdparty_chromium_third__party_zlib_arm__features.c
Comment 4 Tobias C. Berner freebsd_committer 2020-03-07 07:09:09 UTC
Moin moin 


Sorry, I overlooked this one. 

A general rule: kde@ approves any ARCH-related fixes implicitely (as long as they don't break the others :-) )


mfg Tobias